| M480 BSP V3.05.001 The Board Support Package for M480 Series

Functions | Variables
system_M480.c File Reference

CMSIS Cortex-M4 Core Peripheral Access Layer Source File for M480. More...

`#include "NuMicro.h"`

Go to the source code of this file.

## Functions
void | SystemCoreClockUpdate (void)
| Updates the SystemCoreClock with current core Clock retrieved from cpu registers. More...
static __INLINE void | HXTInit (void)
| Set PF.2 and PF.3 to input mode. More...
void | SystemInit (void)
| Initialize the System. More...

## Variables
uint32_t | SystemCoreClock = __SYSTEM_CLOCK
uint32_t | CyclesPerUs = (__HSI / 1000000UL)
uint32_t | PllClock = __HSI
uint32_t | gau32ClkSrcTbl [] = {__HXT, __LXT, 0UL, __LIRC, 0UL, 0UL, 0UL, __HIRC}

## Detailed Description

CMSIS Cortex-M4 Core Peripheral Access Layer Source File for M480.

Version
  V1.000 SPDX-License-Identifier: Apache-2.0

Copyright
  (C) 2017-2020 Nuvoton Technology Corp. All rights reserved.

Definition in file system_M480.c.

## Function Documentation

## ◆ HXTInit()

static __INLINE void HXTInit | ( | void |  | ) |
| static

Set PF.2 and PF.3 to input mode.

Parameters

  None |

Returns
  None

GPIO default state could be configured as input or quasi through user config. To use HXT, PF.2 and PF.3 must not set as quasi mode. This function changes PF.2 and PF.3 to input mode no matter which mode they are working at.

Definition at line 70 of file system_M480.c.

## ◆ SystemCoreClockUpdate()

void SystemCoreClockUpdate | ( | void |  | ) |

Updates the SystemCoreClock with current core Clock retrieved from cpu registers.

Update SystemCoreClock variable

Parameters

  none |

Returns
  none

Definition at line 29 of file system_M480.c.

## ◆ SystemInit()

void SystemInit | ( | void |  | ) |

Initialize the System.

Setup the micro controller system. Initialize the System and update the SystemCoreClock variable.

Parameters

  none |

Returns
  none

Definition at line 82 of file system_M480.c.

## Variable Documentation

## ◆ CyclesPerUs

uint32_t CyclesPerUs = (__HSI / 1000000UL)

Cycles per micro second

Definition at line 22 of file system_M480.c.

## ◆ gau32ClkSrcTbl

uint32_t gau32ClkSrcTbl[] = {__HXT, __LXT, 0UL, __LIRC, 0UL, 0UL, 0UL, __HIRC}

Definition at line 24 of file system_M480.c.

## ◆ PllClock

uint32_t PllClock = __HSI

PLL Output Clock Frequency

Definition at line 23 of file system_M480.c.

## ◆ SystemCoreClock

uint32_t SystemCoreClock = __SYSTEM_CLOCK

System Clock Frequency (Core Clock)

Definition at line 21 of file system_M480.c.